require "sketchup"

module JF
    def self.draw_sine_wave
        pr = %w( 长度 振幅 段数 )
        de = [10, 5, 24]

        ret = UI.inputbox(pr, de)
        return unless ret
        #a = 10.0.feet
        #b = 250.0.feet
        b, a, s = ret.map{|e| e.to_l}
        pts = []
        0.step(b, b/s) do |x|
            y = a * Math::sin( (x / b) * 2 * Math::PI)
            pts << [x, y]
        end
        Sketchup.active_model.start_operation("Sine Wave")
        grp = Sketchup.active_model.active_entities.add_group
        entities = grp.entities
        entities.add_edges pts
        Sketchup.active_model.commit_operation

    end

end
unless file_loaded? "sine_wave.rb"
    # UI.menu("Plugins").add_item("Sine Wave") { JF.draw_sine_wave }
path = Sketchup.find_support_file("Plugins/sine_wave")
  sinewave_tb = UI::Toolbar.new("参考面投影")
  cmd1 = UI::Command.new("参考面投影") { JF.draw_sine_wave } 
  cmd1.small_icon = File.join(path,"icons/sine_wave24.png")
  cmd1.large_icon = File.join(path,"icons/sine_wave36.png")
  cmd1.tooltip = "参考面投影"
  cmd1.status_bar_text = "参考面投影"
  sinewave_tb.add_item(cmd1)
  sinewave_tb.show
    file_loaded "sine_wave.rb"
end
